| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Lib::LoadableScriptBase::StoredScriptSettings Class Reference

In methods of this class you will find all the settings that apply to this script. More...

Inheritance diagram for IG::Lib::LoadableScriptBase::StoredScriptSettings:
[legend]
Collaboration diagram for IG::Lib::LoadableScriptBase::StoredScriptSettings:
[legend]

List of all members.

## Public Member Functions
override void | TestMain (string[] args)
| Runs tests from scripts according to hard-coded settings. Standard form of test applications for functionality based on IGLib.
void | TestMain_Basic (string[] args)
## Protected Member Functions
override CommandLineApplicationInterpreter | CreateInterpreter ()
| Creates and returns application's command-line interpreter.

## Detailed Description

In methods of this class you will find all the settings that apply to this script.

Before custom application script is archived, settings should be moved $A Igor Feb12;

## Member Function Documentation

override CommandLineApplicationInterpreter IG::Lib::LoadableScriptBase::StoredScriptSettings::CreateInterpreter | ( |  | ) | `[inline, protected, virtual]`

Creates and returns application's command-line interpreter.

Implements IG::Lib::ApplicationCommandlineBase.

override void IG::Lib::LoadableScriptBase::StoredScriptSettings::TestMain | ( | string[] | args | ) | `[inline, virtual]`

Runs tests from scripts according to hard-coded settings. Standard form of test applications for functionality based on IGLib.

Parameters:

  args | Command-line argumets passed when the application is run.

Standard scheme for IGLib-based test applications has been adopted in December 2011.

$A Igor xx Nov09 Dec11;

Implements IG::Lib::ApplicationCommandlineBase.

void IG::Lib::LoadableScriptBase::StoredScriptSettings::TestMain_Basic | ( | string[] | args | ) | `[inline]`

The documentation for this class was generated from the following file:

- LoadableScriptBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events